Bug 124703 - Anaconda hangs on bad files.
Anaconda hangs on bad files.
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-05-28 13:21 EDT by Jason Christman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-14 17:08:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Christman 2004-05-28 13:21:14 EDT
Description of problem:
If a file is missing or corrupted anaconda just sites there after 
displaying the message. It does give you a button to retry but not to 
cancel the installation I understand that once it is started there is 
no fixing or cancelling it really, but it does need to have a way 
out, so have the cancel button just reboot the machine would be nice.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.start a fresh intall that has a bad file/file name
2.once the computer starts installing packages and finds a 
missing/corrupt file it will hang
3.It does tell you the file is corrupted/missing and then it gives 
you the option to retry, but you can not cancel the install or have 
it reboot, it just sits there and you have to power of the machine
Actual results:
No button to reboot or cancel installation process

Expected results:
Needs to have a way to aleast reboot/cancel  since the files are 
corrupted or missing from the cd there is now way to recover from it 
so you need a way to get out of the installation with having to power 

Additional info:

Note You need to log in before you can comment on or make changes to this bug.